from flask_shop import create_app,db
from flask_migrate import Migrate,MigrateCommand
from flask_script import Manager

app = create_app('develop')

manager = Manager(app)
Migrate(app,db)
manager.add_command('db',MigrateCommand)

if __name__ == '__main__':
    app.run()
    # manager.run()  #创建表

#10Flask百战电商后台项目  视频9-14.51 虚拟环境是flask_shop_env

'''
终端输入
    python .\manager.py db init  执行一次
    python .\manager.py db migrate 生成表结构
    python .\manager.py db upgrade 映射数据
manager.run()  #创建表 一定代码里面写这个，标准格式
'''